# gds-spinner - React

## Import

```typescript
import { GdsSpinner } from '@sebgroup/green-core/react'
```

## Usage

Use the component as a React JSX element:

```tsx
<GdsSpinner />
```

## Event Handling

Events are handled using React event handler props. Event names are converted from kebab-case to camelCase with an "on" prefix:

| Web Component Event | React Handler Prop | Handler Example |
|---------------------|--------------------|-----------------|
| `gds-spinner-connected` | `onGdsSpinnerConnected` | `onGdsSpinnerConnected={handler}` |
